@font-face {font-family:naslovni; src: url(/fontovi/DancingScript-SemiBold.ttf)}
@font-face {font-family:amarilo; src: url(/fontovi/Amarillo.ttf)}
html{scroll-behavior: smooth; 
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	background-color:black;}
*, *:before, *:after {
	-webkit-box-sizing: inherit;
	-moz-box-sizing: inherit;
	box-sizing: inherit;
}
a:visited, a:active, a:link{color:black; 
	text-decoration:underline solid #75262C}
button{border-style: solid;}
.text-justify{text-align: justify;}
/* -------DEFAULTS ----------*/
.bg-bež{background-color: #f7f1dee9 !important;}
.bg-smeđi{background-color: #dcc8bbe1 !important;}
.bg-bordo{background-color: #b08080e9 !important;}
.bg-plavi{background-color: #a9b2d7cd !important;}
.bg-cijan{background-color: #98bcd5cd !important;}
.border-bež{border-color: #F5EDD5 !important;}	
.border-smeđi{border-color: #dcc8bb !important;}	
.border-section{border-right:10px double #f7f1de; border-left:10px double #f7f1de;}
.naslov{font-family: amarilo; font-weight: bold;}
.text-bordo{color:#75262C !important;}
.efekt_skrolanja img:first-of-type{
			filter:sepia(100%); 
			transition:filter ease-in .75s}
.btn{
	transition: .25s !important;}						
body{width:100vw; height:auto; display:block; 
	padding:0; margin:0; 
	color:black; font-family:Tahoma, arial, sans-serif; 
	font-size:1em; 
	overflow-x: hidden;
	background-color:#F7F1DE; 
	background:url(/slike/background.webp), radial-gradient(circle, rgb(247,241,222) 0%, rgb(247,241,222) 70%, #eddfba 100%); 
	background-position: 100% calc(100% - 1em), 0% 0%; 
	background-size:62em auto, 200% 200%; 
	background-attachment:fixed, fixed; 
	background-repeat:no-repeat, no-repeat;}
	@media only screen and (max-width:70em) {
		body{background-size:100% auto, 200% 200%; background-position:bottom, bottom }	
	}							
main{width:100%; padding:0; margin:0; }
	article{height:100%/*4em prebacuje van ekrana*/; width:100%; margin:0; padding:0; box-sizing:border-box;  }
/* -------naslovna MOZAIK SLIKA ----------*/
.naslovna-mozaik_slika{object-fit:cover; 
				object-position: center;
				height:calc((100vh - 12rem) / 2); 
				width:100%; }	
.naslovna-mozaik_slika-SREDNJA_SLIKA{height:100%;}					
.naslovna-slika-contain{object-fit:contain;}
@media only screen and (max-width:576px) {
	.naslovna-mozaik_slika{
			height:calc((100vh - 12rem) * 0.3);
			width:50%}
	.naslovna-mozaik_slika-SREDNJA_SLIKA{
		height:calc((100vh - 12rem) * 0.7)}	
	.naslovna-slika-contain{object-fit:cover;}			
}	
footer{background-image:url(/slike/footer-background.svg); 
	background-repeat: repeat-x;;
	background-size: auto .74em;
	background-position: top center;}				
	footer address a{text-decoration:none !important; width:auto;
					transition:.25s; filter:brightness(0%); 
					color:#75262C !important }	
	footer address a:link{text-decoration:none !important;}							
	footer address a:hover{filter:sepia(0%); }	
	
/*----- BOOTSTRAP CAROSEUL------------*/
.carousel-indicators button {
	height:1em !important; 
	width:1em !important; 
	border-radius:1em !important; 
	border:.15em solid white !important;
	padding:0; box-sizing:border-box; 
	margin:0 .3em; cursor:pointer; 
	font-size:.9rem !important; 
	background-color:#dcc8bb !important;}
.carousel-indicators button:hover{background-color:#dcc8bb;}
.carousel-indicators button:disabled{ 
							cursor: default; background-color:black}					
	.carousel-control-prev-icon, .carousel-control-next-icon{
		background-image:url(/slike/galerija_strelica.svg) !important; width:3rem !important; height: 3rem !important; }	
	.carousel-control-next-icon{transform:rotate(180deg); }					

/* KATEGORIJA - STILIZIRANI ELEMENT - NON RESPONSIVE (prednost jer poštuje txt)*/
.kategorije>nav{opacity:1; transition:1s; margin-top:2rem;}
.kategorije>nav a{text-decoration:none !important;}
.kategorija{display:block; width:30em; height:21.2em; 
	padding:1.25em; background-color: transparent !important; border: none;
	background-image:url(/slike/kategorija-background.svg); 
	background-position:bottom center; 
	background-size:contain; background-repeat:no-repeat; }	
	.kategorija>div{display:flex; width:100%; height:100%; 
				background-size:cover; background-position:center;
				justify-content:center; align-content:center; flex-wrap:wrap;  }
		.kategorija_txt{width:12rem; height:12rem; padding:1em; font-family:naslovni, Brush Script MT;
						text-decoration:none; font-size:2.2em; background-color:rgba(246,239,218,0.8); text-align:center;
						border-radius:100vw; display:flex; justify-content:center; align-items:center; line-height:80%; 
						box-sizing:border-box; border-bottom:.2rem solid rgba(30,30,30,0);
						transition: .3s;}
		.kategorija_naslov{width:60%; height:60%; font-size:1em; border: .1rem dashed rgba(246,239,218,0.7); transition:0.3s;}		
			.kategorija_naslov>div{box-sizing: border-box; width: 100%; height: 100%;}
				.kategorija_naslov h2{font-size:1.5rem; width:100%; overflow: hidden; text-overflow: ellipsis; }			
				.kategorija_naslov p{white-space: nowrap;  overflow: hidden;  text-overflow: ellipsis; margin-bottom: 0; font-size:1rem;}		
	button.kategorija_naslov{background-color: transparent;}
	.kategorija_naslov:hover{background-color:#f7f1dee9}
	.kategorija:hover .kategorija_txt{background-color:rgba(246,239,218,1); border-bottom:.2rem solid rgba(30,30,30,1) }
@media only screen and (max-width: 576px) {	
	.kategorija{width:90vw; height:63.6vw; 
		padding:3.75vw;
		margin:5vw !important }
}	
/* STILIZIRANI ELEMENT - RESPONSIVE (ne poštuje txt, za manje txtove)*/
.stilizirani-element{background-color: transparent; border: none; border:.15rem solid transparent; box-sizing:border-box}
.stilizirani-element:hover h5{border:2px solid rgba(0, 0, 0, 0.15);}
	.stilizirani-element>div{background-image:url('/slike/kategorija-background.svg'); padding-bottom:70.66666666666666%;
							background-size:contain; background-position:center; box-sizing: border-box; overflow: hidden;
							position: relative; top:0; left: 0; }				
		.stilizirani-element>div>div{
									position: absolute; top:0; left: 0; bottom: 0;	right: 0;
									--marginaY:5%; 
									--marginaX:5%;
									width:calc(100% - (2 * var(--marginaX)));
									height:calc(96% - (2 * var(--marginaY))); 
									margin:var(--marginaY) var(--marginaX); 
									overflow: hidden; text-overflow: ellipsis; box-sizing: border-box;
									padding:1rem; box-sizing: border-box;
									background-size:cover; background-position:center;
									display: flex;
									align-items: center; justify-items: center;justify-content: center;}
			.stilizirani-element h5{font-size: 1rem; text-overflow: ellipsis; max-width: 80%; overflow: hidden; box-sizing: border-box; border:2px solid rgba(0, 0, 0, 0);}	
			
/*PROIZVOD*/
.proizvod{border:1px solid transparent; box-sizing:border-box;  /*outline:1px solid #cac5b4e9;*/
			background-color: transparent; }
.proizvod:hover{border:0rem solid transparent;}	
	.proizvod>img{height:8rem; width:100%; object-fit:cover; background-color: white; object-position: center; /*border-top: 1px solid #413F3F;*/}		
	.proizvod h6{display: flex; align-items: center; justify-content: center; text-align: center;
				width: 100%; text-overflow: ellipsis; box-sizing:border-box;
				background-color: white; height:4rem;
				background-image:url(/slike/footer-background.svg); 
				background-repeat: no-repeat;
				background-size:500% auto;
				background-position:center 0%;
				border-bottom: 1px solid #413F3F;
				/*border-left: 1px solid #413F3F;
				border-right: 1px solid gray;*/}	
